/**
 * Copyright (C) 2003-2005 Funambol
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA 
 */
package sync4j.syncclient.spap.installer;

import sync4j.syncclient.spap.Asset;
import sync4j.syncclient.spap.AssetDAO;

/**
 * This class keeps information about the installation process and provides a
 * way for installation program to interact with the installation engine,
 * without the need of the AssetManager.
 *
 * @author  Stefano Fornari
 * @version $Id: InstallationContext.java,v 1.1.1.1.2.1 2005/01/27 11:00:57 fabius Exp $
 */
public class InstallationContext {

    // ------------------------------------------------------------ Private Date

    // ------------------------------------------------------------ Constructors

    /** Creates a new instance of InstallationContext */
    public InstallationContext() {
    }

    // -------------------------------------------------------------- Properties

    /**
     * The installation program working directory
     */
    private String workingDirectory;

    public void setWorkingDirectory(String workingDirectory) {
        this.workingDirectory = workingDirectory;
    }

    public String getWorkingDirectory() {
        return this.workingDirectory;
    }

    /**
     * The executables directory
     */
    private String binDirectory;

    public void setBinDirectory(String binDirectory) {
        this.binDirectory = binDirectory;
    }

    public String getBinDirectory() {
        return this.binDirectory;
    }

    /**
     * Classes and other libraries directory
     */
    private String libDirectory;

    public void setLibDirectory(String libDirectory) {
        this.libDirectory = libDirectory;
    }

    public String getLibDirectory() {
        return this.libDirectory;
    }

    /**
     * The asset being installed/uninstalled
     */
    private Asset asset;

    public void setAsset(Asset asset) {
        this.asset = asset;
    }

    public Asset getAsset() {
        return this.asset;
    }
}